import apis from '@/configs/http';
import { redirectToLogin, redirectTo } from '@/common/NavFuncs';

export default {
	namespaced: true,
	actions: {
		getEquipmentStatistics({ commit },param) {
			return apis.sz.post('/TOrder/getEquipmentStatistics',param)
				.then(res => {
					const { data } = res;
					return data;
				});
		},
		getStatistics({ commit },param) {
			return apis.sz.post('/TOrder/getStatistics',param)
				.then(res => {
					const { data } = res;
					return data;
				});
		},
		getMainStatistics({ commit },param) {
			return apis.sz.post('/TOrder/getMainStatistics',param)
				.then(res => {
					const { data } = res;
					return data;
				});
		},
		getEquipmentListByUser({ commit },param) {
			console.log('getEquipmentListByUser')
			return apis.sz.post('/TEquipment/getEquipmentListByUser',param)
				.then(res => {
					const { data } = res;
					return data;
				});
		},
		updata({ commit },param) {
			return apis.sz.post('/TEquipment/updateName',param)
				.then(res => {
					const { data } = res;
					return res;
				});
		},
		getMachineNum({ commit },param) {
			return apis.sz.post('/TEquipment/getMachineNum',param)
				.then(res => {
					const { data } = res;
					return data;
				});
		},
	}
}

